Splash pages
GET https://gir.gg/api/splash-pages/
curl --request GET \
--url 'https://gir.gg/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://gir.gg/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
| Parametreler | Details | Description |
|---|---|---|
| search | İsteğe bağlı Dizeyi çevirin, ancak noktalama işaretlerini döndürmeyinDize | Arama dizgesi. |
| search_by | İsteğe bağlı Dizeyi çevirin, ancak noktalama işaretlerini döndürmeyinDize | Hangi alanı arıyorsunuz. İzin verilen değerlername. |
| datetime_field | İsteğe bağlı Dizeyi çevirin, ancak noktalama işaretlerini döndürmeyinDize | Geçerli değerlerdatetime, last_datetime |
| datetime_start | İsteğe bağlı Dizeyi çevirin, ancak noktalama işaretlerini döndürmeyinDize | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | İsteğe bağlı Dizeyi çevirin, ancak noktalama işaretlerini döndürmeyinDize | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | İsteğe bağlı Dizeyi çevirin, ancak noktalama işaretlerini döndürmeyinDize | Sonuçları hangi alanla sıralamak istersiniz. İzin verilen değerlersplash_page_id, datetime, last_datetime, name. |
| order_type | İsteğe bağlı Dizeyi çevirin, ancak noktalama işaretlerini döndürmeyinDize | Sonuçların sıralanması. İzin verilen değerlerartan sıralama için ASC ve azalan sıralama için DESC. |
| page | İsteğe bağlı Tamsayı | İstediğiniz sonuçların sayfa numarası. Varsayılan olarak 1. |
| results_per_page | İsteğe bağlı Tamsayı | Her sayfa için kaç sonuç istersiniz. İzin verilen değerler10, 25, 50, 100, 250, 500, 1000. Varsayılan olarak 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"link_unlock_seconds": "Example",
"auto_redirect": true,
"settings": [],
"last_datetime": null,
"datetime": "2026-09-17 10:37:31"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://gir.gg/api/splash-pages?page=1",
"last": "https://gir.gg/api/splash-pages?page=1",
"next": null,
"prev": null,
"self": "https://gir.gg/api/splash-pages?page=1"
}
}
GET https://gir.gg/api/splash-pages/{splash_page_id}
curl --request GET \
--url 'https://gir.gg/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://gir.gg/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"link_unlock_seconds": "Example",
"auto_redirect": true,
"settings": [],
"last_datetime": null,
"datetime": "2026-09-17 10:37:31"
}
}
POST https://gir.gg/api/splash-pages
| Parametreler | Details | Description |
|---|---|---|
| name | Gerekli Dizeyi çevirin, ancak noktalama işaretlerini döndürmeyinDize | - |
| title | İsteğe bağlı Dizeyi çevirin, ancak noktalama işaretlerini döndürmeyinDize | - |
| logo | İsteğe bağlı Dosya | - |
| favicon | İsteğe bağlı Dosya | - |
| opengraph | İsteğe bağlı Dosya | - |
| description | İsteğe bağlı Dizeyi çevirin, ancak noktalama işaretlerini döndürmeyinDize | - |
| secondary_button_name | İsteğe bağlı Dizeyi çevirin, ancak noktalama işaretlerini döndürmeyinDize | - |
| secondary_button_url | İsteğe bağlı Dizeyi çevirin, ancak noktalama işaretlerini döndürmeyinDize | - |
| custom_css | İsteğe bağlı Dizeyi çevirin, ancak noktalama işaretlerini döndürmeyinDize | - |
| custom_js | İsteğe bağlı Dizeyi çevirin, ancak noktalama işaretlerini döndürmeyinDize | - |
| ads_header | İsteğe bağlı Dizeyi çevirin, ancak noktalama işaretlerini döndürmeyinDize | - |
| ads_footer | İsteğe bağlı Dizeyi çevirin, ancak noktalama işaretlerini döndürmeyinDize | - |
| link_unlock_seconds | İsteğe bağlı Tamsayı | - |
| auto_redirect | İsteğe bağlı Boolean | - |
curl --request POST \
--url 'https://gir.gg/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://gir.gg/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"link_unlock_seconds": "Example",
"auto_redirect": true,
"settings": [],
"last_datetime": null,
"datetime": "2026-09-17 10:37:31"
}
}
POST https://gir.gg/api/splash-pages/{splash_page_id}
| Parametreler | Details | Description |
|---|---|---|
| name | İsteğe bağlı Dizeyi çevirin, ancak noktalama işaretlerini döndürmeyinDize | - |
| title | İsteğe bağlı Dizeyi çevirin, ancak noktalama işaretlerini döndürmeyinDize | - |
| logo | İsteğe bağlı Dosya | - |
| favicon | İsteğe bağlı Dosya | - |
| opengraph | İsteğe bağlı Dosya | - |
| description | İsteğe bağlı Dizeyi çevirin, ancak noktalama işaretlerini döndürmeyinDize | - |
| secondary_button_name | İsteğe bağlı Dizeyi çevirin, ancak noktalama işaretlerini döndürmeyinDize | - |
| secondary_button_url | İsteğe bağlı Dizeyi çevirin, ancak noktalama işaretlerini döndürmeyinDize | - |
| custom_css | İsteğe bağlı Dizeyi çevirin, ancak noktalama işaretlerini döndürmeyinDize | - |
| custom_js | İsteğe bağlı Dizeyi çevirin, ancak noktalama işaretlerini döndürmeyinDize | - |
| ads_header | İsteğe bağlı Dizeyi çevirin, ancak noktalama işaretlerini döndürmeyinDize | - |
| ads_footer | İsteğe bağlı Dizeyi çevirin, ancak noktalama işaretlerini döndürmeyinDize | - |
| link_unlock_seconds | İsteğe bağlı Tamsayı | - |
| auto_redirect | İsteğe bağlı Boolean | - |
curl --request POST \
--url 'https://gir.gg/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://gir.gg/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"link_unlock_seconds": "Example",
"auto_redirect": true,
"settings": [],
"last_datetime": null,
"datetime": "2026-09-17 10:37:31"
}
}
DELETE https://gir.gg/api/splash-pages/{splash_page_id}
curl --request DELETE \
--url 'https://gir.gg/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://gir.gg/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \